Subject: Bug#789: I reproduced it

From: Michael DePaulo <[email-masked]>
Date: Tue, 3 Mar 2015 07:59:24 -0500

I reproduced this bug on my system:

X2Go Client for Windows 4.0.3.2-20150301-debug
Windows 10 64-bit (build 9926 with latest patches)

I've CC'd the developer who added Windows Kerberos support, Alex.

I've attached the "Sessions" registry key before and after. The test
session I created, uss-phoenix, was clearly deleted.
HKEY_CURRENT_USER\Software\SimonTatham\PuTTY\Sessions\uss-phoenix\

However, there is no indication in the debug log (attached) that the
Sessions key or its subkey was touched.

I'll take a look at the x2goclient source code to figure out what is going on.

-Mike#2